#include <tracefctxx/TraceFct.h>
#include <randlib_c/randlib.h>

#include "imageblur.h"
#include "cdf.h"
#include "usage.h"
#include "config.h"

int main( int argc, char* argv[] ) {

    TraceFct tf( argv[0], 0, -1 );

    Params pars;
    gparam( argc, argv, pars );


    if ( pars.help ) {
	usage();
	return 0;
    }

    else if (pars.version) {
	cout << argv[0] << ' ' << VERSION << "\n";
	return 0;
    }

    // initialize random number generator
    setall(pars.seed1, pars.seed2);
    for ( long n = 0 ; n < pars.block ; n++ )
	initgn(1);

    // get distribution
    CDF cdf( pars.pdf,
	     pars.xoffset, pars.yoffset, pars.scale,
	     pars.pmin, pars.pmax, pars.clip );

    process( pars, cdf );

    return 0;
}
